%define debug_package %{nil}
%define basen unqlite
%define libname_orig lib%{basen}
%define major 1
%define libname %{libname_orig}%{major}
%define develname %{basen}-devel

Name: %{basen}
Version: 1.1.9
Release: 3%{?dist}
License: BSD
%define github_owner symisc
%define gittag %{version}
Source0:  https://github.com/%{github_owner}/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz
# See: https://github.com/symisc/unqlite/pull/116 and
# https://github.com/shlomif/unqlite/tree/cmake--use-gnu-install-dirs
# Patch1:   https://github.com/shlomif/unqlite/commit/dda05f7a0e9fb30f7df1dbb03b88593c4a6a9a7f.patch
Patch1:   unqlite-dda05f7a0e9fb30f7df1dbb03b88593c4a6a9a7f--modified.patch
URL: https://github.com/symisc/unqlite
Requires: %{libname}%{?_isa} = %version-%release
Summary: An Embedded NoSQL, Transactional Database Engine
BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: glibc-devel
BuildRequires: xxhash-devel

%description
UnQLite is a in-process software library which implements a self-contained,
serverless, zero-configuration, transactional NoSQL database engine. UnQLite is
a document store database similar to MongoDB, Redis, CouchDB etc. as well a
standard Key/Value store similar to BerkeleyDB, LevelDB, etc.

UnQLite is an embedded NoSQL (Key/Value store and Document-store) database
engine. Unlike most other NoSQL databases, UnQLite does not have a separate
server process. UnQLite reads and writes directly to ordinary disk files. A
complete database with multiple collections, is contained in a single disk
file. The database file format is cross-platform, you can freely copy a
database between 32-bit and 64-bit systems or between big-endian and
little-endian architectures. UnQLite features includes:

%files
%license LICENSE
%doc CHANGELOG.md README.md

#--------------------------------------------------------------------

%package -n %{libname}
Summary: The UnQLite dynamic libraries

%description -n %{libname}
Contains the UnQLite libraries that are used by some programs.

This package is mandatory for the UnQLite executable too.

%files -n %{libname}
# %%{_libdir}/libunqlite.so.%%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Summary: The UnQLite development tools
Requires: %{libname}%{?_isa} = %version-%release
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development tools for UnQLite.

%files -n %{develname}
%_includedir/%{name}*.h
%{_libdir}/lib%{name}.a
# %%{_libdir}/pkgconfig/*.pc
# %%{_libdir}/libunqlite.so

#--------------------------------------------------------------------

%prep
%setup -q
%patch1 -p0 -b .gnuinst

%build
%cmake -DENABLE_THREADS:BOOL=ON
%cmake_build

%check
%ctest

%install
%{cmake_install}

%changelog
* Wed Dec 15 2021 Shlomi Fish <shlomif@shlomifish.org> 1.1.9-3
- copr rebuild due to build failure.

* Mon Nov 16 2020 Shlomi Fish <shlomif@shlomifish.org> 1.1.9-2
- Remove unneeded BuildRequires.

* Sat Nov 14 2020 Shlomi Fish <shlomif@shlomifish.org> 1.1.9-1
- Forked from libblack-hole-solver .spec.
